# Class CIM_BGPIPRoute
extends CIM_IPRoute

BGPIPRoute describes a BGP routing entry that connects two peer routers that are running BGP. The source and destination addresses may be either specific IP endpoints or IP subnets. Examining the BGPIPRoute class definition, note that its superclass IPRoute is deprecated. Unfortunately, IPRoute cannot be removed from the object hierarchy without a major Schema release. When/if this occurs, the IPRoute superclass will be removed, and BGPIPRoute will subclass from CIM_NextHopRouting directly.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_NextHopRouting
|
+--CIM_IPRoute
|
+--CIM_BGPIPRoute

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

BGPIPRoute describes a BGP routing entry that connects two peer routers that are running BGP. The source and destination addresses may be either specific IP endpoints or IP subnets. Examining the BGPIPRoute class definition, note that its superclass IPRoute is deprecated. Unfortunately, IPRoute cannot be removed from the object hierarchy without a major Schema release. When/if this occurs, the IPRoute superclass will be removed, and BGPIPRoute will subclass from CIM_NextHopRouting directly.

UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IsBackDoorRoute | boolean |

Description

string

Usually, the administrative distance is used to determine which route gets installed in the routing table. Using this scheme, routes learned via EBGP will win over routes learned via an IGP. If this is not desired, then this assigns the administrative distance of this route to be equal to that of a local route, which means that the same route learned by an IGP will have a lower administrative distance and be installed instead.

UsesLoopbackPeering | boolean |
Description | string | Loopback interfaces are often used by IBGP peers, because they eliminate a dependency that would otherwise occur if the actual IP address of a physical interface was used to configure BGP. The loopback interface instead instructs the router to use any available interface.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AddressType | uint16 | CIM_IPRoute
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_IPRoute
Description | string | CIM_ManagedElement
DestinationAddress | string | CIM_IPRoute
DestinationMask | string | CIM_IPRoute
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
IPDestinationAddress | string | CIM_IPRoute
IPDestinationMask | string | CIM_IPRoute
IsStatic | boolean | CIM_NextHopRouting
Name | string | CIM_ManagedSystemElement
NextHop | string | CIM_NextHopRouting
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ServiceCreationClassName | string | CIM_IPRoute
ServiceName | string | CIM_IPRoute
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_IPRoute
SystemName | string | CIM_IPRoute
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods